# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add qa fail workflow

Revision ID: b45789abd24a
Revises: 3cc6bd75e664
Create Date: 2021-10-28 07:34:31.798911

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "b45789abd24a"
down_revision = "3cc6bd75e664"
branch_labels = None
depends_on = None


def upgrade():
    """
    Add the QA Fail workflow

    :return:
    """
    op.execute("INSERT INTO workflows (workflow_name) VALUES ('qa_fail')")


def downgrade():
    """
    Remove the QA Fail workflow

    :return:
    """
    op.execute("DELETE FROM workflows WHERE workflow_name='qa_fail'")
